rem
rem  --- deploy windows 64bit robot --- Client origina ---
rem
rem = you need nimsoft-robot-x64.exe and nms-robot-vars.cfg in the same directory
rem = possible response file parameters: https://docops.ca.com/ca-unified-infrastructure-management/8-5-1/en/installing-ca-uim/deploy-robots/bulk-robot-deployment-with-an-xml-file
rem
rem Version 1.1 - with getip
rem

Rem --- 1 - set origin
set origin=origina

Rem --- 2 - avoid that this is run on an existing robot
if exist "d:\uim" goto olduim
if exist "C:\Program Files (x86)\uim" goto olduim1
 
Rem --- 3 - create c:\temp if not exist
if not exist c:\temp md c:\temp

Rem --- 4 - do we have the install module in c:\temp
if not exist c:\temp\nimsoft-robot-x64.exe goto nomod

Rem --- 5 - set response file name
set resp=c:\temp\nms-robot-vars.cfg

Rem --- 6 - get ip address
call :get_ip_multi
Rem - echo in response file
if %tot%==1 echo robotip = %ip% > %resp%
if %tot%==1 echo strict_ip_binding = no >> %resp%

Rem --- 7 - create response file
echo domain=uim_prod >> %resp%
echo hub=hub_name >> %resp%
echo hubrobotname=hub_robot >> %resp%
echo hubip=hub_ip >> %resp%
echo hubport=48002 >> %resp%
echo first_probe_port=48004 >> %resp%
echo secondary_hub=secondary_hub  >> %resp%
echo secondary_hubrobotname=secondary_hub_robot  >> %resp%
echo secondary_hubip=secondary_hub_ip >> %resp%
echo autoremove=no >> %resp%
echo origin=%origin% >> %resp%
echo proxy_mode=0 >> %resp%
echo set_qos_source=yes >> %resp%

Rem --- 8 - silent install
c:
cd \temp
nimsoft-robot-x64.exe /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /DIR="C:\Program Files (x86)\uim" /LOG=c:\temp\uim_%computername%.txt"

Rem --- 9 - remove module 
erase /Q c:\temp\nimsoft-robot-x64.exe
erase /Q c:\temp\uim_robot_install_instagroup.bat

Rem --- 10 - send alarm in case machine has multiple interfaces
if %tot% gtr 1 "C:\Program Files (x86)\uim\bin\nimalarm.exe" -l 1 "Server: %computername" has %tot% interfcaces, please edit robot.cfg and add parameter: robot_ip= manually"

exit /b

:olduim
echo You have an existing UIM installation in "d:\uim" > c:\temp\uim_%computername%.txt
exit /b

:olduim1
echo You have an existing UIM installation in "C:\Program Files (x86)\uim" > c:\temp\uim_%computername%.txt
exit /b

:nomod
echo We didn't find the install module: nimsoft-robot-x64.exe in the directory: c:\temp > c:\temp\uim_%computername%.txt
exit /b

Rem --- sub-proc for ip detection ---
:get_ip_multi
rem --- detect multi adapters -
set /A tot=0
for /f "tokens=1-2 delims=:" %%a in ('ipconfig^|find "IPv4"') do call :ip1 %%b
goto :eof

Rem --- sub-proc for ip detection ---
:ip1
set /A tot=%tot%+1
set ip=%1
rem set ip=%ip:~1%
echo ipconfig ip%tot%: %ip%
goto :eof